Returns information about a specific repository
GET /repositories/{repository}
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
repository |
path | string |
yes | The repository to retrieve information about |
Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
200 |
Indicates that a repository with the given name is available and that information about it could be retrieved successfully. | TsmRepositoryInformation |
404 |
No repository with the given name is currently available. | ProblemDetails |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
Schema: TsmRepositoryInformation
{ "name": "string", "type": "string", "version": "4.13.0+2026.10.14.041", "timeBase": 2}Schema: TsmRepositoryInformation
{ "name": "string", "type": "string", "version": "4.13.0+2026.10.14.041", "timeBase": 2}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!